opentracker(1)

NAME
opentracker - a free and open bittorrent tracker

SYNOPSIS
[-f config] [-i ip-select] [-p port-bind-tcp] [-P port-bind-udp] [-A blessed-ip] [-r redirect-url] [-d chdir] [-u user] [-w| -b -accesslist]

DESCRIPTION
is a bittorrent tracker that implements announce and scrape actions over the UDP and the plain http protocol, aiming for minimal resource usage.

When invoked with parameters, it binds to TCP and UDP port 6969 on all interfaces. The recommended way to configure opentracker is by providing a config file using the [-f config] option. See opentracker.conf(4) for details.

OPTIONS
The following options are available:

-f config
    Parse a config file with a list of options. Consecutive command options will override options from the config file. See opentracker.conf(4) for details.

-i ip-select
    Select an ip address that will be used with the next [-p] or [-P] command to actually bind to this address. Setting this option without any bind options in the config file or [-p] or [-P] commands will limit opentracker to only bind to this address.

-p port-bind-tcp
    Bind to the TCP port on the last preceding ip address set with the [-i -ip-select] option or to all available addresses if none has been set. Can be given multiple times.

-P port-bind-udp
    Bind to the UDP port on the last preceding ip address set with the [-i -ip-select] option or to all available addresses if none has been set. Can be given multiple times.

-A blessed-ip
    Set an ip address in IPv4 or IPv6 or a net in CIDR notation to bless the network for access to restricted resources.

-r redirect-url
    Set the URL that will redirect users to when the / address is requested via HTTP.

-d chdir
    Sets the directory will chroot(2) to if ran as root or chdir(2) to if ran as unprivileged user. Note that any accesslist files need to be relative to and within that directory.

-u user
    User to run under after all operations that need privileges have finished.

-w accesslist | -b accesslist
    If has been compiled with the WANT_ACCESSLIST_BLACK or WANT_ACCESSLIST_WHITE options, this option sets the location of the accesslist.

EXAMPLES
Start bound on UDP and TCP ports 6969 on IPv6 localhost.
    # ./opentracker -i ::1 -p 6969 -P 6969

Start bound on UDP port 6868 and TCP port 6868 on IPv4 localhost and allow privileged access from the network 192.168/16 while redirecting HTTP clients accessing the root directory, which is not covered by the bittorrent tracker protocol, to https://my-trackersite.com/.
    # ./opentracker -i 192.168.0.4 -p 6868 -P 6969 -A 192.168/16 -r https://my-trackersite.com/
The announce URLs are http://192.168.0.4:6868/announce and udp://192.168.0.4:6868/announce respectively.

FILES

opentracker.conf
    The config file.

SEE ALSO
opentracker.conf(4)

opentracker documentation https://erdgeist.org/arts/software/opentracker

Bittorrent tracker protocol http://www.bittorrent.org/beps/bep_0015.html

AUTHOR
Dirk Engling <erdgeist@erdgeist.org>.

LICENSE
This software is released under the Beerware License:

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software with the following terms and conditions:

If you meet the author(s) someday, and you think this software is worth it, you can buy them a beer in return.